Uploaded image for project: 'OpenDJ'
  1. OpenDJ
  2. OPENDJ-6418

backup tool with non-admin user fails with a version error message

    Details

      Description

      Found with rev 662cb20ef80d9fab0fbe801335931f63594eb7e9

      We have a test that tries a backup command as an unprivileged user.
      This used to fail with an "insufficient access rights" error message but now fails and displays a message that suggests it cannot retrieve the version of the server:

      /local/GIT/pyforge/results/20190628-171539/privileges_group/DJ1/opendj/bin/backup -h openam.example.com -p 4444 -D "uid=auser,o=Privileges Tests,dc=example,dc=com" -w ACIRules -X -d /tmp -a
      
      Other: There was an error trying to read the remote server version: Other:
      Tool version does not match remote server version. Please use the same tool
      version as the server one.
      Tool version: '7.0.0.662cb20ef80d9fab0fbe801335931f63594eb7e9'
      Server version: 'Unknown'
      

      To reproduce:

      ./run-pybot.py -n -v -s privileges_group -t Backend_Backup opendj
      

        Attachments

          Activity

            People

            • Assignee:
              gaetan Gaetan Boismal [X] (Inactive)
              Reporter:
              cforel carole forel
              QA Assignee:
              carole forel
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: